Subject: MPC8260 I2C Problem

From: jimmy liu <[email-masked]>
Date: Wed, 24 Jan 2007 19:21:40 -0800 (PST)

I download the linux kernel 2.6.19 from
ftp://ftp.denx.de/pub/linux/ site.

When I add mpc8260 I2C driver to Linux kernel 2.6.19,
the init function looks like that
static int __init fsl_i2c_init(void)
{
	return driver_register(&fsl_i2c_driver);
}
I set the debug on, and found that the fsl_i2c_probe()
function is never called, so there is not I2C device
enabled, and the user space function
open("/dev/i2c-0",O_RDWR) always return error. I set
something wrong? Could somebody help me?

____________________________________________________________________________________
Get your own web address.  
Have a HUGE year through Yahoo! Small Business.
http://smallbusiness.yahoo.com/domains/?p=BESTDEAL